Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.dd.impl
Class TDeploymentImpl.ProcessImpl

    java.lang.Object
      org.apache.xmlbeans.impl.values.XmlObjectBase
          org.apache.xmlbeans.impl.values.XmlComplexContentImpl
              org.apache.ode.bpel.dd.impl.TDeploymentImpl.ProcessImpl

All Implemented Interfaces:
  java.io.Serializable, TDeployment.Process, org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.SimpleValue, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

Enclosing class:
  TDeploymentImpl

    public static class TDeploymentImpl.ProcessImpl

extends org.apache.xmlbeans.impl.values.XmlComplexContentImpl
implements TDeployment.Process

An XML process(@http://www.apache.org/ode/schemas/dd/2007/03). This is a complex type.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `TDeploymentImpl.ProcessImpl.MexInterceptorsImpl` An XML mex-interceptors(@http://www.apache.org/ode/schemas/dd/2007/03).
`static class` | `TDeploymentImpl.ProcessImpl.PropertyImpl` An XML property(@http://www.apache.org/ode/schemas/dd/2007/03).

Nested classes/interfaces inherited from interface org.apache.ode.bpel.dd.TDeployment.Process
`TDeployment.Process.Factory, TDeployment.Process.MexInterceptors, TDeployment.Process.Property`

Field Summary

Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_voorVc, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

Fields inherited from interface org.apache.ode.bpel.dd.TDeployment.Process
`type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Constructor Summary
`TDeploymentImpl.ProcessImpl(org.apache.xmlbeans.SchemaType sType)`

Method Summary
`TCleanup` | `addNewCleanup()` Appends and returns a new empty value (as xml) as the last "cleanup" element
`TInvoke` | `addNewInvoke()` Appends and returns a new empty value (as xml) as the last "invoke" element
`TDeployment.Process.MexInterceptors` | `addNewMexInterceptors()` Appends and returns a new empty "mex-interceptors" element
`TProcessEvents` | `addNewProcessEvents()` Appends and returns a new empty "process-events" element
`TDeployment.Process.Property` | `addNewProperty()` Appends and returns a new empty value (as xml) as the last "property" element
`TProvide` | `addNewProvide()` Appends and returns a new empty value (as xml) as the last "provide" element
`TSchedule` | `addNewSchedule()` Appends and returns a new empty value (as xml) as the last "schedule" element
`boolean` | `getActive()` Gets the "active" element
`java.lang.String` | `getBpel11WsdlFileName()` Gets the "bpel11wsdlFileName" attribute
`TCleanup[]` | `getCleanupArray()` Gets array of all "cleanup" elements
`TCleanup` | `getCleanupArray(int i)` Gets ith "cleanup" element
`java.util.List<TCleanup>` | `getCleanupList()` Gets a List of "cleanup" elements
`java.lang.String` | `getFileName()` Gets the "fileName" attribute
`boolean` | `getInMemory()` Gets the "in-memory" element
`TInvoke[]` | `getInvokeArray()` Gets array of all "invoke" elements
`TInvoke` | `getInvokeArray(int i)` Gets ith "invoke" element
`java.util.List<TInvoke>` | `getInvokeList()` Gets a List of "invoke" elements
`TDeployment.Process.MexInterceptors` | `getMexInterceptors()` Gets the "mex-interceptors" element
`javax.xml.namespace.QName` | `getName()` Gets the "name" attribute
`TProcessEvents` | `getProcessEvents()` Gets the "process-events" element
`TDeployment.Process.Property[]` | `getPropertyArray()` Gets array of all "property" elements
`TDeployment.Process.Property` | `getPropertyArray(int i)` Gets ith "property" element
`java.util.List<TDeployment.Process.Property>` | `getPropertyList()` Gets a List of "property" elements
`TProvide[]` | `getProvideArray()` Gets array of all "provide" elements
`TProvide` | `getProvideArray(int i)` Gets ith "provide" element
`java.util.List<TProvide>` | `getProvideList()` Gets a List of "provide" elements
`boolean` | `getRetired()` Gets the "retired" element
`TSchedule[]` | `getScheduleArray()` Gets array of all "schedule" elements
`TSchedule` | `getScheduleArray(int i)` Gets ith "schedule" element
`java.util.List<TSchedule>` | `getScheduleList()` Gets a List of "schedule" elements
`javax.xml.namespace.QName` | `getType()` Gets the "type" element
`TCleanup` | `insertNewCleanup(int i)` Inserts and returns a new empty value (as xml) as the ith "cleanup" element
`TInvoke` | `insertNewInvoke(int i)` Inserts and returns a new empty value (as xml) as the ith "invoke" element
`TDeployment.Process.Property` | `insertNewProperty(int i)` Inserts and returns a new empty value (as xml) as the ith "property" element
`TProvide` | `insertNewProvide(int i)` Inserts and returns a new empty value (as xml) as the ith "provide" element
`TSchedule` | `insertNewSchedule(int i)` Inserts and returns a new empty value (as xml) as the ith "schedule" element
`boolean` | `isSetActive()` True if has "active" element
`boolean` | `isSetBpel11WsdlFileName()` True if has "bpel11wsdlFileName" attribute
`boolean` | `isSetFileName()` True if has "fileName" attribute
`boolean` | `isSetInMemory()` True if has "in-memory" element
`boolean` | `isSetMexInterceptors()` True if has "mex-interceptors" element
`boolean` | `isSetProcessEvents()` True if has "process-events" element
`boolean` | `isSetRetired()` True if has "retired" element
`boolean` | `isSetType()` True if has "type" element
`void` | `removeCleanup(int i)` Removes the ith "cleanup" element
`void` | `removeInvoke(int i)` Removes the ith "invoke" element
`void` | `removeProperty(int i)` Removes the ith "property" element
`void` | `removeProvide(int i)` Removes the ith "provide" element
`void` | `removeSchedule(int i)` Removes the ith "schedule" element
`void` | `setActive(boolean active)` Sets the "active" element
`void` | `setBpel11WsdlFileName(java.lang.String bpel11WsdlFileName)` Sets the "bpel11wsdlFileName" attribute
`void` | `setCleanupArray(int i, TCleanup cleanup)` Sets ith "cleanup" element
`void` | `setCleanupArray(TCleanup[] cleanupArray)` Sets array of all "cleanup" element
`void` | `setFileName(java.lang.String fileName)` Sets the "fileName" attribute
`void` | `setInMemory(boolean inMemory)` Sets the "in-memory" element
`void` | `setInvokeArray(int i, TInvoke invoke)` Sets ith "invoke" element
`void` | `setInvokeArray(TInvoke[] invokeArray)` Sets array of all "invoke" element
`void` | `setMexInterceptors(TDeployment.Process.MexInterceptors mexInterceptors)` Sets the "mex-interceptors" element
`void` | `setName(javax.xml.namespace.QName name)` Sets the "name" attribute
`void` | `setProcessEvents(TProcessEvents processEvents)` Sets the "process-events" element
`void` | `setPropertyArray(int i, TDeployment.Process.Property property)` Sets ith "property" element
`void` | `setPropertyArray(TDeployment.Process.Property[] propertyArray)` Sets array of all "property" element
`void` | `setProvideArray(int i, TProvide provide)` Sets ith "provide" element
`void` | `setProvideArray(TProvide[] provideArray)` Sets array of all "provide" element
`void` | `setRetired(boolean retired)` Sets the "retired" element
`void` | `setScheduleArray(int i, TSchedule schedule)` Sets ith "schedule" element
`void` | `setScheduleArray(TSchedule[] scheduleArray)` Sets array of all "schedule" element
`void` | `setType(javax.xml.namespace.QName type)` Sets the "type" element
`int` | `sizeOfCleanupArray()` Returns number of "cleanup" element
`int` | `sizeOfInvokeArray()` Returns number of "invoke" element
`int` | `sizeOfPropertyArray()` Returns number of "property" element
`int` | `sizeOfProvideArray()` Returns number of "provide" element
`int` | `sizeOfScheduleArray()` Returns number of "schedule" element
`void` | `unsetActive()` Unsets the "active" element
`void` | `unsetBpel11WsdlFileName()` Unsets the "bpel11wsdlFileName" attribute
`void` | `unsetFileName()` Unsets the "fileName" attribute
`void` | `unsetInMemory()` Unsets the "in-memory" element
`void` | `unsetMexInterceptors()` Unsets the "mex-interceptors" element
`void` | `unsetProcessEvents()` Unsets the "process-events" element
`void` | `unsetRetired()` Unsets the "retired" element
`void` | `unsetType()` Unsets the "type" element
`org.apache.xmlbeans.XmlBoolean` | `xgetActive()` Gets (as xml) the "active" element
`org.apache.xmlbeans.XmlString` | `xgetBpel11WsdlFileName()` Gets (as xml) the "bpel11wsdlFileName" attribute
`org.apache.xmlbeans.XmlString` | `xgetFileName()` Gets (as xml) the "fileName" attribute
`org.apache.xmlbeans.XmlBoolean` | `xgetInMemory()` Gets (as xml) the "in-memory" element
`org.apache.xmlbeans.XmlQName` | `xgetName()` Gets (as xml) the "name" attribute
`org.apache.xmlbeans.XmlBoolean` | `xgetRetired()` Gets (as xml) the "retired" element
`org.apache.xmlbeans.XmlQName` | `xgetType()` Gets (as xml) the "type" element
`void` | `xsetActive(org.apache.xmlbeans.XmlBoolean active)` Sets (as xml) the "active" element
`void` | `xsetBpel11WsdlFileName(org.apache.xmlbeans.XmlString bpel11WsdlFileName)` Sets (as xml) the "bpel11wsdlFileName" attribute
`void` | `xsetFileName(org.apache.xmlbeans.XmlString fileName)` Sets (as xml) the "fileName" attribute
`void` | `xsetInMemory(org.apache.xmlbeans.XmlBoolean inMemory)` Sets (as xml) the "in-memory" element
`void` | `xsetName(org.apache.xmlbeans.XmlQName name)` Sets (as xml) the "name" attribute
`void` | `xsetRetired(org.apache.xmlbeans.XmlBoolean retired)` Sets (as xml) the "retired" element
`void` | `xsetType(org.apache.xmlbeans.XmlQName type)` Sets (as xml) the "type" element

Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl
`arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_isComplexContent, _isComplexType, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Constructor Detail

### TDeploymentImpl.ProcessImpl

    public TDeploymentImpl.ProcessImpl(org.apache.xmlbeans.SchemaType sType)

Method Detail

### getActive

    public boolean getActive()

  Gets the "active" element

  Specified by:
    `getActive` in interface `TDeployment.Process`

### xgetActive

    public org.apache.xmlbeans.XmlBoolean xgetActive()

  Gets (as xml) the "active" element

  Specified by:
    `xgetActive` in interface `TDeployment.Process`

### isSetActive

    public boolean isSetActive()

  True if has "active" element

  Specified by:
    `isSetActive` in interface `TDeployment.Process`

### setActive

    public void setActive(boolean active)

  Sets the "active" element

  Specified by:
    `setActive` in interface `TDeployment.Process`

### xsetActive

    public void xsetActive(org.apache.xmlbeans.XmlBoolean active)

  Sets (as xml) the "active" element

  Specified by:
    `xsetActive` in interface `TDeployment.Process`

### unsetActive

    public void unsetActive()

  Unsets the "active" element

  Specified by:
    `unsetActive` in interface `TDeployment.Process`

### getRetired

    public boolean getRetired()

  Gets the "retired" element

  Specified by:
    `getRetired` in interface `TDeployment.Process`

### xgetRetired

    public org.apache.xmlbeans.XmlBoolean xgetRetired()

  Gets (as xml) the "retired" element

  Specified by:
    `xgetRetired` in interface `TDeployment.Process`

### isSetRetired

    public boolean isSetRetired()

  True if has "retired" element

  Specified by:
    `isSetRetired` in interface `TDeployment.Process`

### setRetired

    public void setRetired(boolean retired)

  Sets the "retired" element

  Specified by:
    `setRetired` in interface `TDeployment.Process`

### xsetRetired

    public void xsetRetired(org.apache.xmlbeans.XmlBoolean retired)

  Sets (as xml) the "retired" element

  Specified by:
    `xsetRetired` in interface `TDeployment.Process`

### unsetRetired

    public void unsetRetired()

  Unsets the "retired" element

  Specified by:
    `unsetRetired` in interface `TDeployment.Process`

### getInMemory

    public boolean getInMemory()

  Gets the "in-memory" element

  Specified by:
    `getInMemory` in interface `TDeployment.Process`

### xgetInMemory

    public org.apache.xmlbeans.XmlBoolean xgetInMemory()

  Gets (as xml) the "in-memory" element

  Specified by:
    `xgetInMemory` in interface `TDeployment.Process`

### isSetInMemory

    public boolean isSetInMemory()

  True if has "in-memory" element

  Specified by:
    `isSetInMemory` in interface `TDeployment.Process`

### setInMemory

    public void setInMemory(boolean inMemory)

  Sets the "in-memory" element

  Specified by:
    `setInMemory` in interface `TDeployment.Process`

### xsetInMemory

    public void xsetInMemory(org.apache.xmlbeans.XmlBoolean inMemory)

  Sets (as xml) the "in-memory" element

  Specified by:
    `xsetInMemory` in interface `TDeployment.Process`

### unsetInMemory

    public void unsetInMemory()

  Unsets the "in-memory" element

  Specified by:
    `unsetInMemory` in interface `TDeployment.Process`

### getPropertyList

    public java.util.List<TDeployment.Process.Property> getPropertyList()

  Gets a List of "property" elements

  Specified by:
    `getPropertyList` in interface `TDeployment.Process`

### getPropertyArray

    public TDeployment.Process.Property[] getPropertyArray()

  Gets array of all "property" elements

  Specified by:
    `getPropertyArray` in interface `TDeployment.Process`

### getPropertyArray

    public TDeployment.Process.Property getPropertyArray(int i)

  Gets ith "property" element

  Specified by:
    `getPropertyArray` in interface `TDeployment.Process`

### sizeOfPropertyArray

    public int sizeOfPropertyArray()

  Returns number of "property" element

  Specified by:
    `sizeOfPropertyArray` in interface `TDeployment.Process`

### setPropertyArray

    public void setPropertyArray(TDeployment.Process.Property[] propertyArray)

  Sets array of all "property" element

  Specified by:
    `setPropertyArray` in interface `TDeployment.Process`

### setPropertyArray

    public void setPropertyArray(int i,
                                 TDeployment.Process.Property property)

  Sets ith "property" element

  Specified by:
    `setPropertyArray` in interface `TDeployment.Process`

### insertNewProperty

    public TDeployment.Process.Property insertNewProperty(int i)

  Inserts and returns a new empty value (as xml) as the ith "property" element

  Specified by:
    `insertNewProperty` in interface `TDeployment.Process`

### addNewProperty

    public TDeployment.Process.Property addNewProperty()

  Appends and returns a new empty value (as xml) as the last "property" element

  Specified by:
    `addNewProperty` in interface `TDeployment.Process`

### removeProperty

    public void removeProperty(int i)

  Removes the ith "property" element

  Specified by:
    `removeProperty` in interface `TDeployment.Process`

### getProcessEvents

    public TProcessEvents getProcessEvents()

  Gets the "process-events" element

  Specified by:
    `getProcessEvents` in interface `TDeployment.Process`

### isSetProcessEvents

    public boolean isSetProcessEvents()

  True if has "process-events" element

  Specified by:
    `isSetProcessEvents` in interface `TDeployment.Process`

### setProcessEvents

    public void setProcessEvents(TProcessEvents processEvents)

  Sets the "process-events" element

  Specified by:
    `setProcessEvents` in interface `TDeployment.Process`

### addNewProcessEvents

    public TProcessEvents addNewProcessEvents()

  Appends and returns a new empty "process-events" element

  Specified by:
    `addNewProcessEvents` in interface `TDeployment.Process`

### unsetProcessEvents

    public void unsetProcessEvents()

  Unsets the "process-events" element

  Specified by:
    `unsetProcessEvents` in interface `TDeployment.Process`

### getProvideList

    public java.util.List<TProvide> getProvideList()

  Gets a List of "provide" elements

  Specified by:
    `getProvideList` in interface `TDeployment.Process`

### getProvideArray

    public TProvide[] getProvideArray()

  Gets array of all "provide" elements

  Specified by:
    `getProvideArray` in interface `TDeployment.Process`

### getProvideArray

    public TProvide getProvideArray(int i)

  Gets ith "provide" element

  Specified by:
    `getProvideArray` in interface `TDeployment.Process`

### sizeOfProvideArray

    public int sizeOfProvideArray()

  Returns number of "provide" element

  Specified by:
    `sizeOfProvideArray` in interface `TDeployment.Process`

### setProvideArray

    public void setProvideArray(TProvide[] provideArray)

  Sets array of all "provide" element

  Specified by:
    `setProvideArray` in interface `TDeployment.Process`

### setProvideArray

    public void setProvideArray(int i,
                                TProvide provide)

  Sets ith "provide" element

  Specified by:
    `setProvideArray` in interface `TDeployment.Process`

### insertNewProvide

    public TProvide insertNewProvide(int i)

  Inserts and returns a new empty value (as xml) as the ith "provide" element

  Specified by:
    `insertNewProvide` in interface `TDeployment.Process`

### addNewProvide

    public TProvide addNewProvide()

  Appends and returns a new empty value (as xml) as the last "provide" element

  Specified by:
    `addNewProvide` in interface `TDeployment.Process`

### removeProvide

    public void removeProvide(int i)

  Removes the ith "provide" element

  Specified by:
    `removeProvide` in interface `TDeployment.Process`

### getInvokeList

    public java.util.List<TInvoke> getInvokeList()

  Gets a List of "invoke" elements

  Specified by:
    `getInvokeList` in interface `TDeployment.Process`

### getInvokeArray

    public TInvoke[] getInvokeArray()

  Gets array of all "invoke" elements

  Specified by:
    `getInvokeArray` in interface `TDeployment.Process`

### getInvokeArray

    public TInvoke getInvokeArray(int i)

  Gets ith "invoke" element

  Specified by:
    `getInvokeArray` in interface `TDeployment.Process`

### sizeOfInvokeArray

    public int sizeOfInvokeArray()

  Returns number of "invoke" element

  Specified by:
    `sizeOfInvokeArray` in interface `TDeployment.Process`

### setInvokeArray

    public void setInvokeArray(TInvoke[] invokeArray)

  Sets array of all "invoke" element

  Specified by:
    `setInvokeArray` in interface `TDeployment.Process`

### setInvokeArray

    public void setInvokeArray(int i,
                               TInvoke invoke)

  Sets ith "invoke" element

  Specified by:
    `setInvokeArray` in interface `TDeployment.Process`

### insertNewInvoke

    public TInvoke insertNewInvoke(int i)

  Inserts and returns a new empty value (as xml) as the ith "invoke" element

  Specified by:
    `insertNewInvoke` in interface `TDeployment.Process`

### addNewInvoke

    public TInvoke addNewInvoke()

  Appends and returns a new empty value (as xml) as the last "invoke" element

  Specified by:
    `addNewInvoke` in interface `TDeployment.Process`

### removeInvoke

    public void removeInvoke(int i)

  Removes the ith "invoke" element

  Specified by:
    `removeInvoke` in interface `TDeployment.Process`

### getMexInterceptors

    public TDeployment.Process.MexInterceptors getMexInterceptors()

  Gets the "mex-interceptors" element

  Specified by:
    `getMexInterceptors` in interface `TDeployment.Process`

### isSetMexInterceptors

    public boolean isSetMexInterceptors()

  True if has "mex-interceptors" element

  Specified by:
    `isSetMexInterceptors` in interface `TDeployment.Process`

### setMexInterceptors

    public void setMexInterceptors(TDeployment.Process.MexInterceptors mexInterceptors)

  Sets the "mex-interceptors" element

  Specified by:
    `setMexInterceptors` in interface `TDeployment.Process`

### addNewMexInterceptors

    public TDeployment.Process.MexInterceptors addNewMexInterceptors()

  Appends and returns a new empty "mex-interceptors" element

  Specified by:
    `addNewMexInterceptors` in interface `TDeployment.Process`

### unsetMexInterceptors

    public void unsetMexInterceptors()

  Unsets the "mex-interceptors" element

  Specified by:
    `unsetMexInterceptors` in interface `TDeployment.Process`

### getType

    public javax.xml.namespace.QName getType()

  Gets the "type" element

  Specified by:
    `getType` in interface `TDeployment.Process`

### xgetType

    public org.apache.xmlbeans.XmlQName xgetType()

  Gets (as xml) the "type" element

  Specified by:
    `xgetType` in interface `TDeployment.Process`

### isSetType

    public boolean isSetType()

  True if has "type" element

  Specified by:
    `isSetType` in interface `TDeployment.Process`

### setType

    public void setType(javax.xml.namespace.QName type)

  Sets the "type" element

  Specified by:
    `setType` in interface `TDeployment.Process`

### xsetType

    public void xsetType(org.apache.xmlbeans.XmlQName type)

  Sets (as xml) the "type" element

  Specified by:
    `xsetType` in interface `TDeployment.Process`

### unsetType

    public void unsetType()

  Unsets the "type" element

  Specified by:
    `unsetType` in interface `TDeployment.Process`

### getCleanupList

    public java.util.List<TCleanup> getCleanupList()

  Gets a List of "cleanup" elements

  Specified by:
    `getCleanupList` in interface `TDeployment.Process`

### getCleanupArray

    public TCleanup[] getCleanupArray()

  Gets array of all "cleanup" elements

  Specified by:
    `getCleanupArray` in interface `TDeployment.Process`

### getCleanupArray

    public TCleanup getCleanupArray(int i)

  Gets ith "cleanup" element

  Specified by:
    `getCleanupArray` in interface `TDeployment.Process`

### sizeOfCleanupArray

    public int sizeOfCleanupArray()

  Returns number of "cleanup" element

  Specified by:
    `sizeOfCleanupArray` in interface `TDeployment.Process`

### setCleanupArray

    public void setCleanupArray(TCleanup[] cleanupArray)

  Sets array of all "cleanup" element

  Specified by:
    `setCleanupArray` in interface `TDeployment.Process`

### setCleanupArray

    public void setCleanupArray(int i,
                                TCleanup cleanup)

  Sets ith "cleanup" element

  Specified by:
    `setCleanupArray` in interface `TDeployment.Process`

### insertNewCleanup

    public TCleanup insertNewCleanup(int i)

  Inserts and returns a new empty value (as xml) as the ith "cleanup" element

  Specified by:
    `insertNewCleanup` in interface `TDeployment.Process`

### addNewCleanup

    public TCleanup addNewCleanup()

  Appends and returns a new empty value (as xml) as the last "cleanup" element

  Specified by:
    `addNewCleanup` in interface `TDeployment.Process`

### removeCleanup

    public void removeCleanup(int i)

  Removes the ith "cleanup" element

  Specified by:
    `removeCleanup` in interface `TDeployment.Process`

### getScheduleList

    public java.util.List<TSchedule> getScheduleList()

  Gets a List of "schedule" elements

  Specified by:
    `getScheduleList` in interface `TDeployment.Process`

### getScheduleArray

    public TSchedule[] getScheduleArray()

  Gets array of all "schedule" elements

  Specified by:
    `getScheduleArray` in interface `TDeployment.Process`

### getScheduleArray

    public TSchedule getScheduleArray(int i)

  Gets ith "schedule" element

  Specified by:
    `getScheduleArray` in interface `TDeployment.Process`

### sizeOfScheduleArray

    public int sizeOfScheduleArray()

  Returns number of "schedule" element

  Specified by:
    `sizeOfScheduleArray` in interface `TDeployment.Process`

### setScheduleArray

    public void setScheduleArray(TSchedule[] scheduleArray)

  Sets array of all "schedule" element

  Specified by:
    `setScheduleArray` in interface `TDeployment.Process`

### setScheduleArray

    public void setScheduleArray(int i,
                                 TSchedule schedule)

  Sets ith "schedule" element

  Specified by:
    `setScheduleArray` in interface `TDeployment.Process`

### insertNewSchedule

    public TSchedule insertNewSchedule(int i)

  Inserts and returns a new empty value (as xml) as the ith "schedule" element

  Specified by:
    `insertNewSchedule` in interface `TDeployment.Process`

### addNewSchedule

    public TSchedule addNewSchedule()

  Appends and returns a new empty value (as xml) as the last "schedule" element

  Specified by:
    `addNewSchedule` in interface `TDeployment.Process`

### removeSchedule

    public void removeSchedule(int i)

  Removes the ith "schedule" element

  Specified by:
    `removeSchedule` in interface `TDeployment.Process`

### getName

    public javax.xml.namespace.QName getName()

  Gets the "name" attribute

  Specified by:
    `getName` in interface `TDeployment.Process`

### xgetName

    public org.apache.xmlbeans.XmlQName xgetName()

  Gets (as xml) the "name" attribute

  Specified by:
    `xgetName` in interface `TDeployment.Process`

### setName

    public void setName(javax.xml.namespace.QName name)

  Sets the "name" attribute

  Specified by:
    `setName` in interface `TDeployment.Process`

### xsetName

    public void xsetName(org.apache.xmlbeans.XmlQName name)

  Sets (as xml) the "name" attribute

  Specified by:
    `xsetName` in interface `TDeployment.Process`

### getFileName

    public java.lang.String getFileName()

  Gets the "fileName" attribute

  Specified by:
    `getFileName` in interface `TDeployment.Process`

### xgetFileName

    public org.apache.xmlbeans.XmlString xgetFileName()

  Gets (as xml) the "fileName" attribute

  Specified by:
    `xgetFileName` in interface `TDeployment.Process`

### isSetFileName

    public boolean isSetFileName()

  True if has "fileName" attribute

  Specified by:
    `isSetFileName` in interface `TDeployment.Process`

### setFileName

    public void setFileName(java.lang.String fileName)

  Sets the "fileName" attribute

  Specified by:
    `setFileName` in interface `TDeployment.Process`

### xsetFileName

    public void xsetFileName(org.apache.xmlbeans.XmlString fileName)

  Sets (as xml) the "fileName" attribute

  Specified by:
    `xsetFileName` in interface `TDeployment.Process`

### unsetFileName

    public void unsetFileName()

  Unsets the "fileName" attribute

  Specified by:
    `unsetFileName` in interface `TDeployment.Process`

### getBpel11WsdlFileName

    public java.lang.String getBpel11WsdlFileName()

  Gets the "bpel11wsdlFileName" attribute

  Specified by:
    `getBpel11WsdlFileName` in interface `TDeployment.Process`

### xgetBpel11WsdlFileName

    public org.apache.xmlbeans.XmlString xgetBpel11WsdlFileName()

  Gets (as xml) the "bpel11wsdlFileName" attribute

  Specified by:
    `xgetBpel11WsdlFileName` in interface `TDeployment.Process`

### isSetBpel11WsdlFileName

    public boolean isSetBpel11WsdlFileName()

  True if has "bpel11wsdlFileName" attribute

  Specified by:
    `isSetBpel11WsdlFileName` in interface `TDeployment.Process`

### setBpel11WsdlFileName

    public void setBpel11WsdlFileName(java.lang.String bpel11WsdlFileName)

  Sets the "bpel11wsdlFileName" attribute

  Specified by:
    `setBpel11WsdlFileName` in interface `TDeployment.Process`

### xsetBpel11WsdlFileName

    public void xsetBpel11WsdlFileName(org.apache.xmlbeans.XmlString bpel11WsdlFileName)

  Sets (as xml) the "bpel11wsdlFileName" attribute

  Specified by:
    `xsetBpel11WsdlFileName` in interface `TDeployment.Process`

### unsetBpel11WsdlFileName

    public void unsetBpel11WsdlFileName()

  Unsets the "bpel11wsdlFileName" attribute

  Specified by:
    `unsetBpel11WsdlFileName` in interface `TDeployment.Process`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD